# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXCreateInvalidComponentHandle

Function

Creates an invalid-component handle.

Syntax
`
#include <dx/dx.h>
`

InvalidComponentHandle DXCreateInvalidComponentHandle(Object object,
Array array, char *name)

Functional Details

The invalid-component handle is necessary in order to use the other invalid-component routines.

`object` | specifies: a Field for which an invalid-component Array is to be created; or one of the following kinds of array: "positions," "connections," "face," or "polylines."
`array` | allows an initial "invalid positions" or "invalid connections" component to be passed in to initialize the handle.
Note: | If `object` is a Field, it is not necessary to specify `array`, since the initial invalid component will be found in the Field. However, if `object` is a Field and `array` is not `NULL`, then `array` supersedes the invalid Array in the Field.
`name` | Specifies the component referred to by the invalid component: "positions," "connections.," "faces," or "polylines."

When you have finished using it, delete the invalid-component handle with `DXFreeInvalidComponentHandle`.

Return Value

Returns the invalid-component handle or returns `NULL` and sets an error code.

See Also

`DXFreeInvalidComponentHandle, DXGetInvalidCount, DXGetValidCount, DXInvertValidity, DXIsElementValid, DXIsElementInvalid, DXSaveInvalidComponent, DXSetAllInvalid, DXSetAllValid, DXSetElementInvalid, DXSetElementValid`

14.3 , "Invalid Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]